Subject: Re: [PATCH 2/2] powerpc: thp: invalidate old 64K based hash page mapping before insert

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Wed, 23 Jul 2014 00:25:48 +0530

Benjamin Herrenschmidt <[email-masked]> writes:

> On Tue, 2014-07-15 at 20:22 +0530, Aneesh Kumar K.V wrote:
>> If we changed base page size of the segment, either via sub_page_protect
>> or via remap_4k_pfn, we do a demote_segment which doesn't flush the hash
>> table entries. We do that when inserting a new hash pte by checking the
>> _PAGE_COMBO flag. We missed to do that when inserting hash for a new 16MB
>> page. Add the same. This patch mark the 4k base page size 16MB hugepage
>> via _PAGE_COMBO.
>
> please improve the above, I don't understand it.

I have reworked this patch and will send an updated version. We also
need to handle _PAGE_COMBO condition on hugepage_flush. I will add more
comments in the next update.

-aneesh